# 32/64bit spec-file
#
%define	name		nas
%define	version		1.9.3
%define	lib_name_orig	lib%{name}
%define	lib_major	2
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d
%define	lib_name_static_devel	%mklibname %{name} %{lib_major} -s -d

Summary:	Network Audio System
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
License:	Public Domain
Group:		System/Servers
Source0:	http://nas.codebrilliance.com/nas/%{name}-%{version}.tar.xz
Source1:	nasd.init
Source2:	nasd.sysconfig
URL:		http://radscan.com/nas.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison flex gccmakedep libxaw-devel
BuildRequires:	x11-util-cf-files imake %{_lib}x11-devel rman
BuildRequires:	%{_lib}x11-devel
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Provides:	nasd
Obsoletes:  %name < %version

%description
This package contains a network-transparent, client/server audio
system, with a library Key features of the Network Audio System
include:
 - Device-independent audio over the network
 - Lots of audio file and data formats
 - Can store sounds in server for rapid replay
 - Extensive mixing, separating, and manipulation of audio data
 - Simultaneous use of audio devices by multiple applications
 - Use by a growing number of ISVs
 - Small size
 - Free! No obnoxious licensing terms

%description -l	no
Denne pakken inneholder ett netttverkstransparent, klient/server audio
system, med et bibliotek. Nøkkelfinessene til Network Audio Systemm
inkluderer:
 - Enhetsuavhengig lyd over nettverket
 - Masser av audiofiler og dataformater
 - Kan lagre lyder i tjener for kjapp gjenavspilling
 - Utvidet mixing, separering og manipulering av lyddata
 - Samtidig bruk av lydenheter fra flere applikasjoner på en gang
 - Brukt av ett voksende nummer av uavhengige programvareutviklere
 - Liten i størrelse
 - Gratis! Ingen irriterende lisensbetingelser


#german
%description -l de
NAS erlaubt das Abspielen, Aufnehmen und Manipulieren von Audio-Daten
über Netzwerke. NAS ist daher laufwerkunabhängig, verfügt über viele
Audioformate, kann Klänge für schnelle Wiedergabe speichern, ist klein
- und frei von Lizenzbedingungen. 


%package -n	%{lib_name}
Summary:	Libraries needed for nasd
Summary(de):	ibliotheken benötigt für nasd
Group:		System/Libraries

%description -n	%{lib_name}
Libraries needed for nasd and other programs linked against nasd.

#german
%description -n	%{lib_name} -l de
Bibliotheken benötigt zum ausführen von nasd.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using NAS
Summary(de):	Entwickler Headers und Bibliotheken von NAS
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel

%description -n	%{lib_name_devel}
This package allows you to develop your own network audio programs.

#german
%description -n	%{lib_name_devel} -l de
Das Paket stellt benötigte Dateien zum erstellen neuer Netzwerk Audio Anwendungen bereit.

%package -n	%{lib_name_static_devel}
Summary:	NAS static library
Summary(de):	NAS statische Bibliothek
Group:		Development/C
Requires:       %{lib_name}-devel = %{version}
Provides:       %{lib_name_orig}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}-static
Provides:	%{name}-static
Obsoletes:	%{lib_name}-static
Provides:	%{lib_name}-static


%description -n %{lib_name_static_devel}
NAS static library.

#german
%description -n %{lib_name_static_devel} -l de
NAS statische Bibliothek.

%prep
%setup -q

%build
xmkmf
find . -name Makefile 
%make World WORLDOPTS="-k CDEBUGFLAGS='$RPM_OPT_FLAGS -D__USE_BSD_SIGNAL' " CXXDEBUGFLAGS="$RPM_OPT_FLAGS -w" 


%install
%{__rm} -rf %buildroot
%{makeinstall_std} \
   BINDIR="%_bindir" \
   LIBDIR="%_libdir/X11" \
   INCROOT="%_includedir" \
   USRLIBDIR="%_libdir" \
   SHLIBDIR="%_libdir" \
   MANPATH="%_mandir" \
   DOCDIR="%_datadir/X11/doc" \
   install.man

install -p -m755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/nasd
install -p -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/nasd

mv $RPM_BUILD_ROOT/etc/nas/nasd.conf.eg $RPM_BUILD_ROOT/etc/nas/nasd.conf

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%_post_service nasd

%post -n %{lib_name}
/sbin/ldconfig

%preun
%_preun_service nasd

%postun -n %{lib_name}
/sbin/ldconfig



%files
%defattr(644,root,root,755) 
%doc FAQ HISTORY README RELEASE TODO README.CYGWIN 
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/nasd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/nasd
%{_mandir}/man[15]/*
%defattr(755,root,root,755)
%{_bindir}/*
%{_initrddir}/nasd

%files -n %{lib_name}
%defattr(755,root,root,755)
%{_libdir}/lib*.so.*
%defattr(644,root,root,755)
%{_libdir}/X11/AuErrorDB

%files -n %{lib_name_devel}
%defattr(755,root,root,755)
%{_libdir}/lib*.so
%defattr(644,root,root,755)
%{_includedir}/audio
%{_mandir}/man3/*

%files -n %{lib_name_static_devel}
%defattr(644,root,root,755)
%{_libdir}/lib*.a



%changelog
* Tue May 29 2018 adrianomorselli <adrianomorselli> 1.9.3-3uplos2018
- rebuild against updates
